PSCommentAfter (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.ps.extensions

## Class PSCommentAfter

- java.lang.Object
- - org.apache.fop.render.ps.extensions.PSExtensionAttachment
  - - org.apache.fop.render.ps.extensions.PSCommentAfter

- All Implemented Interfaces:
    ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class PSCommentAfter
      extends PSExtensionAttachment

  Custom postscript comment after class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ELEMENT` Element name

    - ### Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

      `CATEGORY, content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSCommentAfter()` Default constructor
    `PSCommentAfter(String content)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getElement()`

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

      `getCategory, getContent, getType, setContent, toSAX, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final String ELEMENT

      Element name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PSCommentAfter

          public PSCommentAfter()

      Default constructor

    - #### PSCommentAfter

          public PSCommentAfter(String content)

      Constructor
      Parameters:
        `content` - comment

  - ### Method Detail

    - #### getElement

          protected String getElement()

      Specified by:
        `getElement` in class `PSExtensionAttachment`
      Returns:
        the element name

Copyright © 2025 Apache Software Foundation. All rights reserved.